/****************************************************************************
 *
 * Copy right:   2021-, Copyrigths of RLWL Ltd.
 * File name:    AppSignal.c
 * Description:  Global variable definition c file,此文件存放App使用到的全局变量
 * History:      Rev3.0   2021-07-06
 *
 ****************************************************************************/

#include "AppSignal.h"
//
/**declear the bool vars**/
volatile BOOL NB_Fota_update_flag = FALSE;
volatile BOOL BMS_Fota_update_flag = FALSE;

/**declear the uint8 vars**/
UINT8	battCellTemp[8] = {0xFF};       //Battery temperature 电池温度数值
UINT8	MOSTemp = 0xFF;                 //mos temprature mos温度
UINT8	packTemp = 0xFF;                //battery pack temprature   电池箱体温度
UINT8	fastChargeTemp = 0xFF;          // fast charge plug temprature  快充插头温度
UINT8	normalChargeTemp = 0xFF;        // normal charge plug temprature    慢充插头温度
UINT8	heatTemp1 = 0xFF;               //Heating plate1 temperature    加热板温度1
UINT8	heatTemp2 = 0xFF;               //Heating plate2 temperature    加热板温度2
UINT8	nbReservedTemp1 = 0xFF;         //
UINT8	nbReservedTemp2 = 0xFF;         //
UINT8	maxCellTemp = 0xFF;             //最高单体温度
UINT8	minCellTemp = 0xFF;             //最低单体温度
UINT8	battSOC = 0xFF;                 //电池SOC
UINT8	battSOH = 0xFF;                 //电池SOH
UINT8	battWorkState = 0xFF;           //电池工作状态
UINT8	bmsSwVersion = 0xFF;            //bms软件版本
UINT8	bmsHwVersion = 0xFF;            //bms硬件版本
UINT8	battMOSSwitchState = 0xFF;      //bms开关状态
UINT8	battHeatEnableState = 0xFF;     //bms加热使能状态
UINT8	reservedSignal1 = 0xFF;         //can信息保留信号1
UINT8	reservedSignal2 = 0xFF;         //can信息保留信号2
UINT8	reservedSignal3 = 0xFF;         //can信息保留信号3
UINT8	reservedSignal4 = 0xFF;         //can信息保留信号4
UINT8	reservedSignal5 = 0xFF;         //can信息保留信号5
UINT8	reservedSignal6 = 0xFF;         //can信息保留信号6
UINT8	reservedSignal7 = 0xFF;         //can信息保留信号7
UINT8	reservedSignal8 = 0xFF;         //can信息保留信号8

UINT8   Lockstatus = 0;             //Interlock status 高压互锁状态
UINT8   TcpErrorcount=0;            //Error count TCP联网错误计数
UINT8 	TcpSendLen = 0;             //Tcp send status Tcp发送状态
UINT8   CanMsgEnble = 0;            //Can send status Can中断状态
UINT8 	UDSSwitch = 0;              //下线检测标志位
UINT8 	PosFlag = 0;                //定位信息是否有效标志位
/**declear the uint16 vars**/
UINT16	battCellU[28] = {0xFFFF};    //电池包单体电压
UINT16	minCellVol = 0xFFFF;    //最小单体电压
UINT16	maxCellVol = 0xFFFF;    //最大单体电压
UINT16	battPackVol = 0xFFFF;   //电池总压
UINT16	battI = 0xFFFF;         //电池总电流
UINT16	nbHwVersion = 0xFFFF;   //数据模块硬件状态
UINT16  ErrorNum[5]={0};        //Error array，故障数组



/**declear the uint32 vars**/
UINT32	battWarningState = 0xFFFFFFFF;  //电池告警状态
UINT32	nbSwVersion = 0xFFFFFFFF;       // 数据模块软件状态
UINT32	battBalanceoInfo = 0xFFFFFFFF;  //电池均衡状态
UINT32  Battdesigncap =0xFFFFFFFF;      //battery design cap 电池包设计容量
UINT32  TimeCounter = 0x00;             //主任务定时器计数


/**declear the Handle vars**/
osMutexId_t Error_Mutex = NULL;         //故障互锁句柄



/**declear other vars**/   

AppConfigDataType      AppNVMData;

AppDataBody             AppDataInfo;

AppSocketConnectionContext socContext;  //网络连接状态


